Bug 274126 - Pictures from 3rd page are missing in the attached doc file
Summary: Pictures from 3rd page are missing in the attached doc file
Status: VERIFIED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: text-layout (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-25 19:09 UTC by swathi
Modified: 2011-08-24 08:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshots in MS Office (196.79 KB, image/x-png)
2011-05-25 19:09 UTC, swathi
Details
Screenshot in Calligra Words (284.31 KB, image/x-png)
2011-05-25 19:13 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-05-25 19:09:50 UTC
Created attachment 60329 [details]
Screenshots in MS Office

Version: git checkout a1891d19b515a8aead2d39f482546eaf22fbc037
        (Using KDE 4.5.5)                
     OS: Kubuntu 10.10
Test data is in word 2003 format which has some text and pictures in it.
Open the same document in Calligra Words, check the display of pictures from 3nd page.
Link to test data: http://faculty.weber.edu/vnapper/3110/handouts/MSWord04.doc
Expected outcome:
All the pictures should be displayed.
Actual outcome:
Pictures from 3nd page are not displaying.
Please check the screenshots attached.
Frequency:
Always.
Comment 1 swathi 2011-05-25 19:13:09 UTC
Created attachment 60330 [details]
Screenshot in Calligra Words
Comment 2 swathi 2011-05-30 15:03:00 UTC
Another test data with same issue.
http://southcentralindiana.imanet.org/IMAProgramBook-2010-11.docx.
In this check the pictures 2nd and 3rd pages.Those are not displaying in Words.
Comment 3 Matus Uzak 2011-05-31 17:30:39 UTC
Wow, the .doc file is classified as invalid.  Going to fix that.
Comment 4 Matus Uzak 2011-06-03 20:36:03 UTC
I disabled validation of the FibBase structure while parsing to prevent the file being classified as invalid.  This Word8 file does not follow the MS-DOC spec., which makes it difficult to detect truly invalid files.
   
The missing pictures are a filter problem, assigning.
Comment 5 Matus Uzak 2011-06-03 21:16:00 UTC
Please create a separate bug for the DOCX file.
Comment 6 Matus Uzak 2011-06-06 21:23:01 UTC
Git commit 493ff6071643f0201a00cd6125bd3c42cd282c3e by Matus Uzak.
Committed on 06/06/2011 at 21:15.
Pushed by uzak into branch 'master'.

DOC: Ignore topmost group shape as we do in libmso.

* The topmost group shape (patriarch shape) is ignored in libmso.
* It was not ignored in the mswordodf filter, because the group rectangle
  was always set to a NULL rectangle and I was waiting for some test data
  to get into problems.  A few test files where the rectangle is set
  to negative values were found and now the patriarch can be ignored properly.

BUG:274126

M  +17   -20   filters/words/msword-odf/graphicshandler.cpp     

http://commits.kde.org/calligra/493ff6071643f0201a00cd6125bd3c42cd282c3e
Comment 7 swathi 2011-06-28 13:45:26 UTC
Tested in 5f6f9401b53343b140d2bae8587ec3a01f103fe1.
For the file in the link http://faculty.weber.edu/vnapper/3110/handouts/MSWord04.doc,pictures are displaying fine.

But for the file in http://southcentralindiana.imanet.org/IMAProgramBook-2010-11.docx,words application is not responding.
Comment 8 swathi 2011-08-24 08:44:22 UTC
Verified in deaa03a4fe170eb91319e75b213cc66c23af1ed8.